ftp_nb_continue
ftp_nb_fput
FTP Functions
PHP Manual

# ftp_nb_fget

(PHP 4 >= 4.3.0, PHP 5, PHP 7)

ftp_nb_fget — Retrieves a file from the FTP server and writes it to an open file (non-blocking)

### Description

int ftp_nb_fget ( resource `$ftp_stream` , resource `$handle` , string `$remote_file` , int `$mode` [, int `$resumepos` = 0 ] )

ftp_nb_fget() retrieves a remote file from the FTP server.

The difference between this function and ftp_fget() is that this function retrieves the file asynchronously, so your program can perform other operations while the file is being downloaded.

### Parameters

`ftp_stream`

  The link identifier of the FTP connection.

`handle`

  An open file pointer in which we store the data.

`remote_file`

  The remote file path.

`mode`

  The transfer mode. Must be either `FTP_ASCII` or `FTP_BINARY`.

`resumepos`

  The position in the remote file to start downloading from.

### Return Values

Returns `FTP_FAILED` or `FTP_FINISHED` or `FTP_MOREDATA`.

### Examples

Example #1 ftp_nb_fget() example

`<?php
// open some file for reading
$file = 'index.php';
$fp = fopen($file, 'w');
$conn_id = ftp_connect($ftp_server);
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// Initate the download
$ret = ftp_nb_fget($conn_id, $fp, $file, FTP_BINARY);
while ($ret == FTP_MOREDATA) {
// Do whatever you want
echo ".";
// Continue downloading...
$ret = ftp_nb_continue($conn_id);
}
if ($ret != FTP_FINISHED) {
echo "There was an error downloading the file...";
exit(1);
}
// close filepointer
fclose($fp);
?>`

### See Also

- ftp_nb_get() - Retrieves a file from the FTP server and writes it to a local file (non-blocking)
- ftp_nb_continue() - Continues retrieving/sending a file (non-blocking)
- ftp_fget() - Downloads a file from the FTP server and saves to an open file
- ftp_get() - Downloads a file from the FTP server

ftp_nb_continue
ftp_nb_fput
FTP Functions
PHP Manual